package com.bonus.canteen.core.supermarket.dto;

import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel
public class SupermarketProductPageDTO extends PageDTO {
   @ApiModelProperty("超市id")
   private @NotNull(
   message = "超市id不能为空!"
) Long supermarketId;
   @ApiModelProperty("商品")
   private String materialName;
   @ApiModelProperty("条码")
   private String barCode;
   @ApiModelProperty("类别id集合")
   private List<Long> categoryIdList;
   @ApiModelProperty("上架状态(1-上架,2-下架)")
   private Integer putawayState;
   @ApiModelProperty("导出字段")
   private List<String> exportCols;
   @ApiModelProperty("区域id")
   private Long areaId;

   public Long getSupermarketId() {
      return this.supermarketId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public List<Long> getCategoryIdList() {
      return this.categoryIdList;
   }

   public Integer getPutawayState() {
      return this.putawayState;
   }

   public List<String> getExportCols() {
      return this.exportCols;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setSupermarketId(final Long supermarketId) {
      this.supermarketId = supermarketId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setCategoryIdList(final List<Long> categoryIdList) {
      this.categoryIdList = categoryIdList;
   }

   public void setPutawayState(final Integer putawayState) {
      this.putawayState = putawayState;
   }

   public void setExportCols(final List<String> exportCols) {
      this.exportCols = exportCols;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }
}
